import { createTestId, getPadding } from '../../utilities';
import { GeneralObserver } from '../general-observer';
export const EggheadLesson = (properties) => (<GeneralObserver>
    <div class="egghead-lesson-solid-social" style={{
        position: 'relative',
        width: '100%',
        ...getPadding('16:9'),
    }}>
      <iframe {...createTestId('egghead-lesson')} class="egghead-lesson" title={`egghead-${properties.lessonId}`} src={`//egghead.io/lessons/${properties.lessonId}/embed`} allow="autoplay; fullscreen" style={{
        position: 'absolute',
        top: 0,
        left: 0,
        width: '100%',
        height: '100%',
    }}/>
    </div>
  </GeneralObserver>);
