import { GeneralObserver } from '../general-observer';
import { handleInstagrmLoad } from './utilities';
import { createTestId } from '../../utilities';
export const Instagram = (properties) => (<GeneralObserver onEnter={handleInstagrmLoad}>
    <blockquote {...createTestId('instagram')} class="instagram-media instagram-solid-social" data-instgrm-version="12">
      <a href={`//instagram.com/p/${properties.instagramId}`}>{window.instgrm && ''}</a>
    </blockquote>
  </GeneralObserver>);
