import { mergeProps } from 'solid-js';
import { createTestId, getPadding } from '../../utilities';
import { GeneralObserver } from '../general-observer';
export const Lbry = (properties) => {
    const properties_ = mergeProps({ skipTo: { s: 0 } }, properties);
    return (<GeneralObserver>
      <div class="lbry-solid-social" style={{
            position: 'relative',
            width: '100%',
            ...getPadding('16:9'),
        }}>
        <iframe {...createTestId('lbry')} class="lbry" title={`lbry-${properties_.lbryId}`} src={`//lbry.tv/$/embed/${properties_.lbryId}?t=${properties_.skipTo.s}`} allow="fullscreen" style={{
            position: 'absolute',
            top: 0,
            left: 0,
            width: '100%',
            height: '100%',
        }}/>
      </div>
    </GeneralObserver>);
};
