import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { createTestId } from '../../utilities';
export const ListenNotesEpisode = (properties) => {
    const properties_ = mergeProps({
        width: '100%',
        height: '180px',
    }, properties);
    return (<GeneralObserver>
      <div class="listennotes-episode-solid-social" style={{
            position: 'relative',
            height: properties_.height,
            width: properties_.width,
        }}>
        <iframe {...createTestId('listennotes-episode')} class="listennotes-episode" title={`listennotes-${properties.episodeId}`} src={`//www.listennotes.com/podcasts/${properties.episodeId}/embed/`} 
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    frameborder={0} scrolling="no" loading="lazy" style={{
            position: 'absolute',
            top: 0,
            left: 0,
            width: '100%',
            height: '100%',
        }}/>
      </div>
    </GeneralObserver>);
};
