import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { handlePinterestBuild } from './utilities';
import { createTestId } from '../../utilities';
export const Pin = (properties) => {
    const properties_ = mergeProps({ size: 'small' }, properties);
    return (<GeneralObserver onEnter={handlePinterestBuild}>
      {/* eslint-disable-next-line jsx-a11y/anchor-has-content */}
      <a class="pinterest-pin" {...createTestId('pin')} data-pin-do="embedPin" data-pin-width={properties_.size} href={`//www.pinterest.com/pin/${properties_.pinId}`}/>
    </GeneralObserver>);
};
