import { GeneralObserver } from '../general-observer';
import { handlePinterestBuild } from './utilities';
import { createTestId } from '../../utilities';
export const PinterestFollowButton = (properties) => (<GeneralObserver onEnter={handlePinterestBuild}>
    <a class="pinterest-follow-button" {...createTestId('pinterest-follow-button')} data-pin-do="buttonFollow" href={`//www.pinterest.com/${properties.username}/`}>
      {`Follow @${properties.username}`}
    </a>
  </GeneralObserver>);
