import { GeneralObserver } from '../general-observer';
import { handleTikTokLoad } from './utilities';
import { createTestId } from '../../utilities';
export const TikTok = (properties) => (<GeneralObserver onEnter={handleTikTokLoad}>
    <blockquote {...createTestId('tiktok')} class="tiktok" cite={`//www.tiktok.com/${properties.tikTokId}`} data-video-id={properties.tikTokId.split('/').pop()}>
      <section>
        <a href={`//tiktok.com/${properties.tikTokId}`}>{!window.tiktok && ''}</a>
      </section>
    </blockquote>
  </GeneralObserver>);
