import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { handleTwttrLoad } from './utilities';
import { createTestId } from '../../utilities';
export const TwitterFollowButton = (properties) => {
    const properties_ = mergeProps({
        showFollowers: false,
        showUsername: true,
        size: 'small',
    }, properties);
    return (<GeneralObserver onEnter={handleTwttrLoad}>
      <a {...createTestId('twitter-follow-button')} href={`//twitter.com/${properties_.username}?ref_src=twsrc%5Etfw`} class="twitter-follow-button" data-show-count={properties_.showFollowers} data-show-screen-name={properties_.showUsername} data-size={properties_.size}>{`Follow @${properties_.username}`}</a>
    </GeneralObserver>);
};
