import { JSX } from 'solid-js';
export declare type AirtableBaseProperties = {
    /** Airtable Base ID */
    airtableBaseId: string;
    /** Layout type */
    layout?: 'card' | '';
    /** View Controls */
    viewControls?: 'on' | 'off';
};
export declare const AirtableBase: (properties: AirtableBaseProperties) => JSX.Element;
