import { ParentComponent } from 'solid-js';
declare type GeneralObserverProperties = {
    /** Fires when IntersectionObserver enters viewport */
    onEnter?: (id?: string) => void;
    /** The height of the placeholder div before the component renders in */
    height?: number;
};
export declare type HTMLEventName = keyof HTMLElementEventMap;
export declare const GeneralObserver: ParentComponent<GeneralObserverProperties>;
export {};
