import { JSX } from 'solid-js';
export declare type LinkedInProperties = {
    /** LinkedIn username */
    username: string;
    /** The type of badge */
    badgeType?: 'horizontal' | 'vertical';
    /** The size of the badge */
    badgeSize?: 'medium' | 'large';
    /** The badge theme */
    theme?: 'light' | 'dark';
    /** data-locale */
    locale?: string;
};
export declare const LinkedInBadge: (properties: LinkedInProperties) => JSX.Element;
