import { JSX } from 'solid-js';
export declare type TweetProperties = {
    /** Tweet link */
    tweetLink: string;
    /** Color theme of the Tweet */
    theme?: 'light' | 'dark';
    /** Alignment of the Tweet */
    align?: 'left' | 'center' | 'right';
    /** Hides the conversation */
    hideConversation?: boolean;
};
export declare const Tweet: (properties: TweetProperties) => JSX.Element;
