import { JSX } from 'solid-js';
export declare type WhimsicalProperties = {
    /**
     * Whimsical id. Ex:
     * - given a public URL: //whimsical.com/Py4kdjbPzFpRoAPMbUxmaN
     * - diagramId will be: Py4kdjbPzFpRoAPMbUxmaN
     */
    diagramId: string;
    /**
     * Aspect ratio of Whimsical diagram
     */
    aspectRatio?: string;
};
export declare const Whimsical: (properties: WhimsicalProperties) => JSX.Element;
