import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { createTestId } from '../../utilities';
export const SoundCloud = (properties) => {
    const properties_ = mergeProps({
        width: '100%',
        height: 'auto',
        autoPlay: false,
        visual: false,
        color: '23ff00f5',
    }, properties);
    return (<GeneralObserver>
      <iframe {...createTestId('soundcloud')} title={`sound-cloud-${properties_.soundCloudLink}`} class="soundcloud" width={properties_.width} height={properties_.height} allow="autoplay" src={`//w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/${properties_.soundCloudLink}&color=%23${properties_.color}&auto_play=${properties_.autoPlay.toString()}&visual=${properties_.visual.toString()}`}/>
    </GeneralObserver>);
};
