import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { createTestId } from '../../utilities';
export const Spotify = (properties) => {
    const properties_ = mergeProps({
        width: 320,
        height: 380,
    }, properties);
    return (<GeneralObserver>
      <iframe {...createTestId('spotify')} title={`spotify-${properties_.spotifyLink}`} class="spotify" src={`//open.spotify.com/embed/${properties.spotifyLink}`} width={properties_.width} height={properties_.height} allow="encrypted-media"/>
    </GeneralObserver>);
};
