import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { handleTwttrLoad } from './utilities';
import { createTestId } from '../../utilities';
export const TwitterMentionButton = (properties) => {
    const properties_ = mergeProps({
        size: 'small',
    }, properties);
    return (<GeneralObserver onEnter={handleTwttrLoad}>
      <a {...createTestId('twitter-mention-button')} href={`//twitter.com/intent/tweet?screen_name=${properties_.username}&ref_src=twsrc%5Etfw`} class="twitter-mention-button" data-size={properties_.size}>{`Tweet to @${properties_.username}`}</a>
    </GeneralObserver>);
};
