import { JSX } from 'solid-js';
export interface ISnackProperties {
    /** The usename and snack id */
    snackId: string;
    /** Platform */
    platform?: 'web' | 'android' | 'ios' | 'mydevice';
    /** The snack theme */
    theme?: 'light' | 'dark';
}
export declare const Snack: (properties: ISnackProperties) => JSX.Element;
